Subject: nut-monitor: exits by SIGABRTing

From: наб <[email-masked]>
Date: Sun, 29 Jan 2023 03:30:18 +0100

Package: nut-monitor
Version: 2.8.0-7
Severity: normal

Dear Maintainer,

Every time I close the monitor window I see
-- >8 --
$ NUT-Monitor
Traceback (most recent call last):
  File "/bin/NUT-Monitor", line 326, in quit
    self.disconnect_from_ups()
  File "/bin/NUT-Monitor", line 775, in disconnect_from_ups
    self.gui_init_unconnected()
  File "/bin/NUT-Monitor", line 770, in gui_init_unconnected
    self.__widgets["main_window"].adjustSize()
RuntimeError: wrapped C/C++ object of type QMainWindow has been deleted
Aborted
-- >8 --

I think I'm on a relatively normal set-up; happy to test whatever,
but neither python nor qt are my preferred brand of poison,
so dunno what I'd start with.

Best,
наб

-- System Information:
Debian Release: 11.6
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable-security'), (500, 'stable-debug'), (500, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.10.0-20-amd64 (SMP w/24 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_FIRMWARE_WORKAROUND, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages nut-monitor depends on:
ii  python3        3.9.2-3
ii  python3-nut    2.8.0-7
ii  python3-pyqt5  5.15.2+dfsg-3

nut-monitor recommends no packages.

nut-monitor suggests no packages.

-- no debconf information